function rotate90
%   rotate90

%   This software is protected by german copyright and international treaties.             
%   Copyright 2004 Markus Junghöfer & Peter Peyk. All Rights Reserved.                     
%                                                                                          
%   THIS SOFTWARE AND DOCUMENTATION IS PROVIDED "AS IS," AND COPYRIGHT HOLDERS MAKE        
%   NO REPRESENTATIONS OR WARRANTIES, EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO,    
%   WARRANTIES OF MERCHANTABILITY OR FITNESS FOR ANY PARTICULAR PURPOSE OR THAT THE USE    
%   OF THE SOFTWARE OR DOCUMENTATION WILL NOT INFRINGE ANY THIRD PARTY PATENTS, COPYRIGHTS,
%   TRADEMARKS OR OTHER RIGHTS. COPYRIGHT HOLDERS WILL NOT BE LIABLE FOR ANY DIRECT,       
%   INDIRECT, SPECIAL OR CONSEQUENTIAL DAMAGES ARISING OUT OF ANY USE OF THE SOFTWARE      
%   OR DOCUMENTATION.                                                                      
[matfilename,matfilepath]=uigetfile('*.mat','Please choose 3d-file to rotate:');
matfile=[matfilepath,matfilename];
load(matfile,'head3dx','head3dy','head3dz');
figure
t=surf(head3dx,head3dy,head3dz);
rotate(t,[0 0 1],90,[0 0 0]);
head3dx=get(t,'XData');
head3dy=get(t,'YData');
head3dz=get(t,'ZData');
figure
t=surf(head3dx,head3dy,head3dz);
save(matfile,'head3dx','head3dy','head3dz');

return